Skip to main content
`Ctrl`+`K`

# DMAdaptorGetSolver

Gets the solver used to produce discrete solutions

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorGetSolver(DMAdaptor adaptor, SNES *snes)

Not Collective

## Input Parameter

- adaptor - The `DMAdaptor` object

## Output Parameter

- snes - The solver

## See Also

DM Basics, `DM`, `DMAdaptor`, `DMAdaptorSetSolver()`, `DMAdaptorCreate()`, `DMAdaptorAdapt()`

## Level

intermediate

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages